package com.crm.manager.dao.repository;

import com.crm.rely.backend.core.pojo.table.CustomGroupHideTable;
import com.crm.rely.backend.core.pojo.table.CustomGroupPointTable;
import com.crm.rely.backend.dao.repository.BaseRepository;
import org.springframework.data.jpa.repository.Lock;
import org.springframework.stereotype.Repository;

import javax.persistence.LockModeType;
import java.util.List;

/**
 * Created by max on 2020/7/8.
 */
@Repository
public interface CustomGroupPointRepository extends BaseRepository<CustomGroupPointTable> {

    @Lock(LockModeType.PESSIMISTIC_WRITE)
    CustomGroupPointTable findFirstById(Long id);

    List<CustomGroupPointTable> findAllByGroupId(Long groupId);

    List<CustomGroupPointTable> findAllByGroupIdIn(List<Long> groupIds);

    List<CustomGroupPointTable> getAllByGroupId(Long groupId);

    List<CustomGroupPointTable> getAllByGroupIdIn(List<Long> groupIds);
}
